Bug Hunting Session
Bug 56153 - VIEWING: Hidden Comment box appears at default place and not at place to where moved with active 'Show Comment'
Summary: VIEWING: Hidden Comment box appears at default place and not at place to wher...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2012-10-18 16:13 UTC by Rainer Bielefeld Retired
Modified: 2017-11-30 06:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (7.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-18 16:13 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-18 16:13:12 UTC
Created attachment 68763 [details]
Sample Document

This report is based on suggestion by dlmitch00@hotmail.com in Bug 55682 - Define Comment FORMATTING with an own ("paragraph") style"

Current situation with  "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit): 

1. Open blank new spreadsheet
2. Click cell E5
3. 'Rightclick -> Insert comment'
   > Comment box appears nearby F2:G2
4. type "xxx" into comment, Click E20
   Comment disappears, Cell cursor at E20
5. Move mouse cursor to red comment mark at top right corner of E5
   > Comment appears as expected at place where you created it
6. 'Rightclick Comment Mark -> Show Comment'
    Comment box appears and stays visible
7. Click Comment Box
   > Control Points Appear
8. Drag and Drop Comment box to cell A7
9. 'Rightclick Comment Mark -> Show Comment'
    Comment box disappears 
10. Move mouse cursor to red comment mark at top right corner of E5
    Expected: Comment box appears at it's new place nearby A7
    Actual: Comment appears at it's old place  F2:G2

New place A7 has not been forgotten, repeating step 6 shows comment at correct new place 'A7'

That worked fine with OOo 2.0.2, but already with OOo 3.1.1 I can reproduce this problem, so it's inherited from OOo 

Attached sample202.ods works fine with OOo 2.0.2 and shows comment box nearby A7, But LibO will show the comment box at F2:G2.

NEW and OS=All due to comments in Bug 55682

@David:
Thank you for your attention!

@Spreadsheet Team
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 1 Roman Eisele 2012-10-18 16:32:11 UTC
Also still REPRODUCIBLE in the Master branch; tested with latest available master daily build: LOdev 3.7.0.0.alpha0+ (build ID: c252694; pull time: 2012-10-12 22:05:41) on Mac OS X 10.6.8 (Intel).

@ Rainer:
Thank you for filing this -- exemplary! -- bug report!
Comment 2 Rainer Bielefeld Retired 2012-10-18 17:38:28 UTC
Its a simple viewing problem. When I create a sample document similar to my sample with LibO 3.6.3.1, the Comment will be shown at it's correct place when I open the document with OOo 3.0.2.

So from my layman's point of view a fix should be an EeasyHack.
Comment 3 Rainer Bielefeld Retired 2012-10-18 17:52:54 UTC
> when I open the document with OOo 3.0.2

Sorry, typo! Must be " ... when I open the document with OOo 2.0.2"
Comment 4 David 2012-10-20 20:40:08 UTC
Hello,

I am not a "Techie" so I don't understand a lot of the information within
this Forum, but I still have the "Comment Box" issues as originally
described by me. I see many different replies, some of which were rather
rude (like Comment #11 -- "Useless Information ... Shows nothing"), but no
solutions. You asked for a Sample of the problem, which sent  and yet you
tell me it's "Useless". So what do you want from me? I saw the
"work-around" posted for creating a Macro, but I really expected the
LibreOffice group to fix the problem. Do you think it is possible to fix
this bug, so that each and every user does not need to create a
"work-around"?

One suggestion that you made was for me to modify the "Paragraph Style".
And how do I Modify the "Paragraph Style"? And by modifying this, does that
affect both Comment Boxes as well as all other fonts in all cells on the
sheet? Will this be the "new" Default from henceforth for all new sheets
and all new Comment Boxes?

Thanx in advance for your time.
David

On Thu, Oct 18, 2012 at 11:32 AM, <bugzilla-daemon@freedesktop.org> wrote:

>  Roman Eisele <bugs@eikota.de> changed bug 56153<https://bugs.freedesktop.org/show_bug.cgi?id=56153>
>  What Removed Added  CC   bugs@eikota.de
>
>  *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=56153#c1> on bug
> 56153 <https://bugs.freedesktop.org/show_bug.cgi?id=56153> from Roman
> Eisele <bugs@eikota.de> *
>
> Also still REPRODUCIBLE in the Master branch; tested with latest available
> master daily build: LOdev 3.7.0.0.alpha0+ (build ID: c252694; pull time:
> 2012-10-12 22:05:41) on Mac OS X 10.6.8 (Intel).
>
> @ Rainer:
> Thank you for filing this -- exemplary! -- bug report!
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 5 Rainer Bielefeld Retired 2012-10-21 05:42:15 UTC
(In reply to comment #4)

@David
Status NEW shows that all info for the bug fixing process is available here and in Bug 55682.

No further information is required, as soon as a developer has time (no bugs with higher priority in the line) he will fix this bug. 

A diagram showing the process you can find on <http://wiki.documentfoundation.org/File:BzLifecycleold.png> 

For questions how to use LibO, how to do workarounds and similar please ask on a mailing list or <http://ask.libreoffice.org/questions/>
Comment 6 Joel Madero 2014-02-27 23:27:43 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 7 A (Andy) 2015-02-10 11:31:56 UTC
Reproducible with LO 4.4.0.3, Win 8.1 as described by Rainer
Comment 8 David 2015-04-29 17:27:13 UTC
Hello,

It has been about 3 years since I mentioned this issue (Bug 56153 - "Comment Box Location does not stay in newly assigned location that the user selects).

The problem still exists for me and others. After this long, I will assume that nothing will be done about it and I do not need any additional negative comments about the way I have presented it. It appears that other users understand exactly what the problem is and they have also described the problem with the same results as I have experienced.

Please delete me from any more emails regarding this problem that is obviously a low priority and won't be solved.

David
Comment 9 Joel Madero 2015-04-29 17:28:58 UTC
@David - I suggest you read this: http://joelmadero.wordpress.com/2014/10/11/user-expectations-and-the-reality-of-our-community/

That gives you a sense of why there is no such thing as "low priority" - it just means that a volunteer hasn't found it to be worth their time to fix. There is no hierarchy in the project. No one can dictate what bugs get fixed.


Also you can remove yourself from the cc if you'd like and then you won't receive any more notifications.
Comment 10 Robinson Tryon (qubit) 2015-12-13 11:20:44 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-11-30 06:26:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug